package com.chinaitop.depot.business.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import com.chinaitop.depot.utils.HelloServiceHystrix;

@FeignClient(name = "depot-basic", fallback = HelloServiceHystrix.class)
public interface FeignBasicService {


    @RequestMapping(value = "/Warehouse/getWareDataByHwbm", method = RequestMethod.GET)
    Map<String, Object> getWareDataByHwbm(@RequestParam(value = "hwbm") String hwbm);
    
    
    @RequestMapping(value = "/Enum/getIdByNameAndParentId", method = RequestMethod.GET)
    Map<String, Object> getIdByNameAndParentId(@RequestParam(value = "parentId") Integer parentId,@RequestParam(value = "enumName") String enumName, @RequestParam(value = "gbCode") String gbCode);

}
